package com.org.system.enums;

/** 短信类型 **/
public enum SmsType {
    REGISTER("register"), CHANGEMOBILE("changeMobile");

    private final String value;

    SmsType(String value) {
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    /**
     * 根据value获取枚举
     * @param value
     * @return
     */
    public static SmsType getSmsType(String value) {
        SmsType[] smsTypeArr = SmsType.values();
        for (int i = 0; i < smsTypeArr.length; i++) {
            if (smsTypeArr[i].getValue().equals(value)) {
                return smsTypeArr[i];
            }
        }
        return null;
    }
}
